## qpsmtpd 0.94

=== packaging/rpm/Makefile ===
# -- generic Makefile for building RPM-based packages out of source
#    code control systems (git, cvs, svn)

SCM_TYPE := git
SCM_PATH := ../../
#CVSROOT := $(shell cat 2>/dev/null src/CVS/Root)
#SVN_PATH := $(shell svn info ${SCM_PATH} 2>/dev/null | awk '/^URL:/{print $$2}')
#SVN_REV := $(shell svn info ${SVN_PATH} 2>/dev/null | awk '/^Last Changed Rev:/{print $$4}')

PACKAGE := $(shell cat PACKAGE)
VERSION := $(shell cat VERSION)
RELEASE := $(shell cat RELEASE)
BASE_VER := ${VERSION}-${RELEASE}
CURRENT_PACKAGE := $(PACKAGE)-$(BASE_VER)
TARBALL := $(CURRENT_PACKAGE).tar

DIRNAME := $(shell echo $${PWD})
DIRBASE := $(shell basename $${PWD})


.SUFFIXES:
.PHONY: clean mrclean distclean prepclean all default
.PHONY: rpm rpmdist buildrpm buildrpmdist
.PHONY: buildtarball buildtargz
.PHONY: builddir distdir prepbuildtarball
.PHONY: cvs-export git-export svn-export test-export
.PHONY: cvs-clean git-clean svn-clean test-clean
.PHONY: update

default: rpmdist

# -- the "rpmdist" target will build out of the SCM, but will
#    use the user's default build settings (which in many cases
#    is exposed as an RPM repository)
#
#rpmdist: buildrpmdist distclean
rpmdist: buildrpmdist

buildrpmdist: buildtargz
	@rpmbuild \
	  --define "_package ${PACKAGE}" \
	  --define "_version ${VERSION}" \
	  --define "_release ${RELEASE}" \
	  -ta ./build/$(TARBALL).gz

# -- the "srpmdist" target will build an SRPM out of the SCM, but
#    will use the user's default build settings (which in many
#    cases is exposed as an RPM repository)
#
srpmdist: buildsrpmdist

buildsrpmdist: buildtargz
	@rpmbuild \
	  --define "_package ${PACKAGE}" \
	  --define "_version ${VERSION}" \
	  --define "_release ${RELEASE}" \
	  -ts --nodeps ./build/$(TARBALL).gz

# -- the "rpm" target will build out of the SCM, but will leave
#    the resulting package in the relative ./build/ directory
#
rpm: buildrpm $(SCM_TYPE)-clean

buildrpm: buildtargz
	@echo ${PACKAGE} ${VERSION} ${RELEASE}
	@rpmbuild \
	  --define "_rpmdir ./build/" \
	  --define "_sourcedir ./build/" \
	  --define "_srcrpmdir ./build/" \
	  --define "_package ${PACKAGE}" \
	  --define "_version ${VERSION}" \
	  --define "_release ${RELEASE}" \
	  -ta ./build/$(TARBALL).gz

# -- the "srpm" target will build an SRPM out of the SCM, but
#    will leave the resulting package in the relative ./build/
#    directory
#
srpm: buildsrpm $(SCM_TYPE)-clean

buildsrpm: buildtargz
	@echo ${PACKAGE} ${VERSION} ${RELEASE}
	@rpmbuild \
	  --define "_rpmdir ./build/" \
	  --define "_sourcedir ./build/" \
	  --define "_srcrpmdir ./build/" \
	  --define "_package ${PACKAGE}" \
	  --define "_version ${VERSION}" \
	  --define "_release ${RELEASE}" \
	  -ts --nodeps ./build/$(TARBALL).gz

buildtarball: prepbuildtarball
	@tar \
	  --create \
	  --directory ./build/ \
	  --file      ./build/$(TARBALL) \
	  ${CURRENT_PACKAGE}

buildtargz: buildtarball
	@gzip -c < ./build/$(TARBALL) > ./build/$(TARBALL).gz

prepbuildtarball: $(SCM_TYPE)-export
	${MAKE} update \
	  && cp ${PACKAGE}.spec ./build/${CURRENT_PACKAGE} \
	  && cp files/* ./build/

test-clean:
	@cd .. \
	  && rm "$(CURRENT_PACKAGE)"

test-export: builddir
	@cd .. \
	  && ln -snvf $(DIRBASE) $(CURRENT_PACKAGE) \
	  && tar \
	    --create \
	    --dereference \
	    --to-stdout \
	    --exclude "*.git*" \
	    --exclude "*.svn*" \
	    --exclude "*/CVS/*" \
	    --exclude "$(CURRENT_PACKAGE)/build/*" \
	      $(CURRENT_PACKAGE) \
	  | tar \
	    --extract \
	    --directory $(CURRENT_PACKAGE)/build/ \
	    --file -

git-export: builddir prepclean
	(cd $(SCM_PATH) ; git archive --format=tar --prefix=$(CURRENT_PACKAGE)/ HEAD) \
	  | tar \
	    --extract \
	    --directory ./build/ \
	    --file -

git-clean:
	@:

cvs-export: builddir prepclean
	@cd ./build/ \
	  && echo CURRENT_PACKAGE: ${CURRENT_PACKAGE} \
	  && echo CVSROOT: ${CVSROOT} \
	  && CVSROOT=${CVSROOT} cvs export -r HEAD -d$(CURRENT_PACKAGE) ${PACKAGE}

cvs-clean:
	@:

svn-export: builddir prepclean
	@cd ./build/ \
	  && svn export $(SVN_PATH) $(CURRENT_PACKAGE)

svn-clean:
	@:

builddir:
	@mkdir -p ./build

distdir:
	@mkdir -p ./dist

prepclean:
	@rm -rf ./build/$(CURRENT_PACKAGE)*

clean:
	@rm -rf ./build/* ./dist/* 2>/dev/null || :

mrclean: clean

distclean: clean $(SCM_TYPE)-clean
	@rmdir ./build/ ./dist/ 2>/dev/null || :

# -- recursive Makefile calls (during build phase)
#
update: $(PACKAGE).spec VERSION RELEASE

$(PACKAGE).spec: VERSION RELEASE $(PACKAGE).spec.in
	@sed \
	  -e "s|@PACKAGE@|$(PACKAGE)|" \
	  -e "s|@VERSION@|$(VERSION)|" \
	  -e "s|@RELEASE@|$(RELEASE)|" \
	  < $(PACKAGE).spec.in > $@

# -- end of Makefile

## qpsmtpd 0.84

=== debian/changelog ===
qpsmtpd (0.84-8) unstable; urgency=low

  * Rebuild with Danish translation and garbled changelog fix (and
    nothing else, this time)

 -- Devin Carraway <devin@debian.org>  Wed, 22 Aug 2012 22:57:29 -0700

qpsmtpd (0.84-7) unstable; urgency=low

  * Add Danish translation; thanks to Joe Dalton <joedalton2@yahoo.dk>
    (Closes: #685412)

 -- Devin Carraway <devin@debian.org>  Wed, 22 Aug 2012 01:04:09 -0700

qpsmtpd (0.84-6) unstable; urgency=low

  * Add Italian translation; thanks to Beatrice Torracca <beatricet@libero.it>
    (Closes: #668169)
  * Standards-version 3.9.3, debian/rules updates

 -- Devin Carraway <devin@debian.org>  Wed, 11 Apr 2012 01:43:28 -0800

qpsmtpd (0.84-5) unstable; urgency=medium

  * Add spf_plugin-upstream-02912602842.patch containing updated
    sender_permitted_from plugin from upstream.  Replaces a dependency
    on RC-buggy libmail-spf-query-perl with libmail-spf-perl.  (Closes:
    #607472)
  * Fix typo in package description (Closes: #607127)
  * Elevated urgency for RC bug fix

 -- Devin Carraway <devin@debian.org>  Thu, 23 Dec 2010 02:15:27 -0800

qpsmtpd (0.84-4) unstable; urgency=low

  * Update Spanish translation; thanks to Francisco Cuadrado (Closes:
    #600507)

 -- Devin Carraway <devin@debian.org>  Thu, 04 Nov 2010 01:20:48 -0700

qpsmtpd (0.84-3) unstable; urgency=low

  * Update Czech debconf translation; thanks to Miroslav Kure (Closes:
    #600217)

 -- Devin Carraway <devin@debian.org>  Fri, 15 Oct 2010 23:49:52 -0700

qpsmtpd (0.84-2) unstable; urgency=low

  * Update Portuguese debconf translation; thanks to Traduz (Closes:
    #579809)
  * Standards-version 3.9.1, no changes needed

 -- Devin Carraway <devin@debian.org>  Mon, 04 Oct 2010 01:20:03 -0700

qpsmtpd (0.84-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.8.4
  * Transition to dpkg-source 3.0 (quilt) format
  * Remove whatis patch, accepted upstream
  * Fix non-virtual facilities declared virtual in init.d (Closes: #574557)
  * Update Swedish debconf translation; thanks to Martin Bagge (Closes: #564131)

 -- Devin Carraway <devin@debian.org>  Wed, 07 Apr 2010 23:41:56 -0700

qpsmtpd (0.83-2) unstable; urgency=low

  * Update French debconf translation, thanks to Steve Petruzzello
    (Closes: #564838)
  * Update Russian debconf translation, thanks to Yuri Kozlov (Closes:
    #563643)
  * Update German debconf translation, thanks to Helge Kreutzmann
    (Closes: #562978)
  * Patch in a whatis section on Qpsmtpd.pm and Postfix.pm's POD

 -- Devin Carraway <devin@debian.org>  Tue, 12 Jan 2010 00:25:43 -0800

qpsmtpd (0.83-1) unstable; urgency=low

  * New upstream release.
  * Update Czech debconf translation (Closes: #534795)
  * Add Russian debconf translation; thanks to Yuri Kozlov (Closes: #554355)
  * Reorder postinst to remove the qpsmtpd user only after dropping
    statoverrides that depend on it
  * Offer forkserver and prefork server types as debconf options
    (Closes: #414162)
  * Tidy/fix qpsmtpd.config (Closes: #560343)
  * Expand interface selection debconf template to explain optional port
    selection (Closes: #540791)
  * Standards-Version 3.8.3
  * (Some) lintian fixes

 -- Devin Carraway <devin@debian.org>  Sat, 12 Dec 2009 23:57:54 -0800

qpsmtpd (0.81-2) unstable; urgency=low

  * Switch the default server type back to forkserver; 0.81-1 inadvertantly
    used prefork as a default.
  * Depend on libsocket6-perl, since dh_perl won't pick it up without help.

 -- Devin Carraway <devin@debian.org>  Sun, 19 Apr 2009 12:47:21 -0700

qpsmtpd (0.81-1) unstable; urgency=low

  * New upstream release (Closes: #510829)
  * Depend on libipc-shareable-perl to enable use of qpsmtpd-prefork; prefork
    is included in this release but is not yet used by default, pending
    upstream support for listening on multiple sockets (Closes: #498519)
  * Add new Spanish translation; thanks to Francisco Cuadrado
    (Closes: #520209)
  * Standards-Version 3.8.1

 -- Devin Carraway <devin@debian.org>  Fri, 10 Apr 2009 19:38:20 -0700

qpsmtpd (0.40-3) unstable; urgency=low

  * Update Swedish translation; thanks to Martin Ågren (Closes: #492885)
  * Fix overlength line in copyright file

 -- Devin Carraway <devin@debian.org>  Thu, 31 Jul 2008 21:03:00 -0700

qpsmtpd (0.40-2) unstable; urgency=low

  * Add Portuguese debconf translation; thanks to Miguel Figueiredo
  * Update French debconf translation; thanks to Christian Perrier
  * Update German debconf translation; thanks to Helge Kreutzmann

 -- Devin Carraway <devin@debian.org>  Sat, 15 Sep 2007 23:52:39 -0700

qpsmtpd (0.40-1) unstable; urgency=low

  * New upstream release (Closes: #431933)
    + Obsoletes smtp-loglevel.patch, greylist-distrodirs.patch
  * Add German translation; thanks to Helge Kreutzmann (Closes: #431878)
  * Fix word choice and typos in debconf templates (Closes: #431882)

 -- Devin Carraway <devin@debian.org>  Thu, 14 Jun 2007 00:37:10 -0700

qpsmtpd (0.32-6) unstable; urgency=low

  * Update Czech translation; thanks to Miroslav Kure (Closes: #408657)

 -- Devin Carraway <devin@debian.org>  Mon, 19 Feb 2007 01:37:10 -0800

qpsmtpd (0.32-5) unstable; urgency=high

  * Apply patch to fix support for multiple plugin directories (Closes:
    #389025)

 -- Devin Carraway <devin@debian.org>  Sun, 31 Dec 2006 10:31:42 -0800

qpsmtpd (0.32-4) unstable; urgency=low

  * Fix a backwards translation in formatting host:port for smtp-forward
    (Closes: #386664)
  * Update fr debconf translation; thanks to Steve Petruzzelo
    <dlist@bluewin.ch> (Closes: #381298)
  * Move suggested spamassassin plugin placement after clamav in
    /etc/qpsmtpd/plugins (Closes: #384319)
  * Apply change#642 from upstream, fixing response to HELP in SMTP
    conversation (Closes: #381322)
  * Update init.d script for LSB 3.1.0 by adding init-info section and
    status command

 -- Devin Carraway <devin@debian.org>  Sat, 23 Sep 2006 00:58:47 -0700

qpsmtpd (0.32-3) unstable; urgency=low



=== debian/control ===
Source: qpsmtpd
Section: mail
Priority: extra
Build-Depends: debhelper (>> 5), perl
Maintainer: Devin Carraway <devin@debian.org>
Standards-Version: 3.9.3

Package: qpsmtpd
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, debconf (>= 1.0.0), adduser (>= 3.0), libdigest-hmac-perl, libmail-spf-perl (>= 2.0.0), libnet-dns-perl, libnet-perl, libmailtools-perl, libipc-shareable-perl, libclamav-client-perl, libsocket6-perl
Suggests: spamassassin (>= 3.0.0), clamav-daemon, tinycdb
Homepage: http://smtpd.develooper.com/
Description: Flexible SMTP daemon for network-level spam detection
 This is a replacement SMTP daemon which installs alongside a mail delivery
 and transport system such as Exim, Postfix or Qmail, or used as an SMTP
 proxy for a remote/DMZ MTA.
 .
 The qpsmtpd damon emphasizes spam detection during the SMTP transaction,
 attempting to reach spam/nonspam decisions prior to accepting each message,
 thereby eliminating much bounce/forgery blowback.  It exploits its visbility
 into the network transaction to detect certain behaviors often exhibited by
 spam sending agents.
 .
 Qpsmtpd is written in Perl, with an extensive plugin API making it easy to
 add new features or replace functional components.

=== debian/rules ===
#!/usr/bin/make -f
# $Id$

PERL=perl

clean:
	dh_testdir
	dh_testroot
	[ ! -f "Makefile" ] || $(MAKE) realclean
	dh_clean
	rm -f build-stamp

configure:
	dh_testdir
	$(PERL) Makefile.PL INSTALLDIRS=vendor

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/qpsmtpd
	# Comment out this line to omit the usual deletion of the qpsmtpd
	# tcpserver-based toplevel script.  The standard install uses
	# qpsmtpd-forkserver to avoid a non-free dependency on tcpserver.
	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd
	# Comment out this line to omit the usual deletion of qpsmtpd-async,
	# which is included in the main qpsmtpd distribution but has not
	# stabilized enough for mainstream use and introduces compatibility
	# problems with some plugins.
	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd-async
	# /var/spool/qpsmtpd will be chown'ed by postinst
	install -m 700 -d $(CURDIR)/debian/qpsmtpd/var/spool/qpsmtpd
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/var/log/qpsmtpd
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/var/lib/qpsmtpd
	# greylist db dir will be chown'ed by postinst
	install -m 700 -d $(CURDIR)/debian/qpsmtpd/var/lib/qpsmtpd/greylisting
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/etc/qpsmtpd
	# install the configuration
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/etc/qpsmtpd
	cp -a $(CURDIR)/debian/etc/* $(CURDIR)/debian/qpsmtpd/etc/qpsmtpd/
	# install the plugins
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/qpsmtpd/plugins
	cp -a $(CURDIR)/plugins/* $(CURDIR)/debian/qpsmtpd/usr/share/qpsmtpd/plugins/
	# install lintian overrides
	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides
	install -m 644 debian/qpsmtpd.lintian $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides/qpsmtpd
	# remove pf2qp.pl, used to generate Constants.pm in upstream SVN
	rm -f $(CURDIR)/debian/qpsmtpd/usr/share/perl5/Qpsmtpd/Postfix/pf2qp.pl

binary-arch: build install
# nothing arch-dependent



binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman \
		 $(CURDIR)/debian/qpsmtpd-forkserver.8 \
		 $(CURDIR)/debian/qpsmtpd-prefork.8 
	dh_installdebconf
	dh_installlogrotate
	dh_installchangelogs Changes
	dh_installinit
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	# until qpsmtpd-async is supported
	rm -f $(CURDIR)/debian/qpsmtpd/usr/share/man/man1/qpsmtpd-async.1p.gz
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: clean build binary-indep binary-arch binary


# vi:set noexpandtab:

## qpsmtpd 0.94

=== debian/changelog ===
qpsmtpd (0.94-8) unstable; urgency=medium

  * QA upload.
  * d/control: Remove outdated debconf version constraint (Closes: #1096120)

 -- Gioele Barabucci <gioele@svario.it>  Fri, 21 Mar 2025 21:59:14 +0100

qpsmtpd (0.94-7) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Set Homepage field in Source rather than Binary package.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Replace obsolete lsb-base build dependency with sysvinit-utils (>= 3.05-4~).
  * Updated d/watch to check github project for new versions.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jun 2024 19:35:59 +0200

qpsmtpd (0.94-6) unstable; urgency=medium

  * QA upload.
  * Prepend header properly. (Closes: #933679)

 -- Peter J. Holzer <hjp@hjp.at>  Sun, 20 Aug 2023 21:32:18 +0200

qpsmtpd (0.94-5) unstable; urgency=medium

  * QA upload.
  * Update Italian debconf translation from Beatrice Torracca. (Closes:
    #952803)
  * Update Swedish debconf translation from Martin Bagge / brother and Anders
    Jonsson. (Closes: #994185)
  * Add Brazilian Portuguese debconf translation from Paulo Henrique de Lima
    Santana. (Closes: #1025723)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 26 Feb 2023 07:27:27 +0100

qpsmtpd (0.94-4) unstable; urgency=medium

  * QA upload.
  * Fix typo in template and unfuzzy existing translations. (Closes: #914121)
  * Update Dutch debconf translation from Frans Spiesschaert. (Closes: #916356)

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 11 Jan 2019 09:47:53 +0100

qpsmtpd (0.94-3) unstable; urgency=medium

  * QA upload.
  * Depend on lsb-base as noted by lintian.
  * Switch priority extra to optional as noted by lintian.
  * Add Dutch debconf translation from Frans Spiesschaert (Closes: #766628).
  * Update French from Steve Petruzzello (Closes: #780433).
  * Add Danish from Joe Dalton (Closes: #781340).
  * Update German from Helge Kreutzmann (Closes: #815699).
  * Updated Japanese from Takuma Yamada (Closes: #819024).
  * Updated Portuguese from Rui Branco and Tiago Fernandes
    (Closes: #859946, #872982).

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 11 Nov 2018 10:19:03 +0100

qpsmtpd (0.94-2) unstable; urgency=medium

  * Ship backwards-compatibility wrappers for check_ plugins.  See
    /usr/share/doc/qpsmtpd/README.check_plugins for migration
    instructions.  (Closes: #767815)

 -- Devin Carraway <devin@debian.org>  Sat, 21 Feb 2015 23:50:17 -0800

qpsmtpd (0.94-1) unstable; urgency=medium

  * New upstream release.  0.94 has a great many upstream changes, some of
    which affect behavior.  See UPGRADING.pod for more details.
  * pod2man-utf8.patch: Avoid a lintian warning for undeclared UTF8
    encoding in pod2man-generated output
  * Stop advertising sysvinit-style reload, and restart rather than reload in
    logrotate conf (Closes: #764257)
  * Patch import/syntactical errors in plugins/auth/auth_ldap_bind
    (Closes: #706906)

 -- Devin Carraway <devin@debian.org>  Tue, 21 Oct 2014 23:59:36 -0700

qpsmtpd (0.84-11) unstable; urgency=low

  * Add Japanese debconf translation; thanks to victory (Closes:
    #718918)

 -- Devin Carraway <devin@debian.org>  Tue, 13 Aug 2013 00:01:15 -0700

qpsmtpd (0.84-10) unstable; urgency=low

  * Apply patch to silence IPv6-related warnings (Closes: #693179)
  * Standards-version 3.9.4

 -- Devin Carraway <devin@debian.org>  Mon, 01 Jul 2013 18:24:33 -0700

qpsmtpd (0.84-9) unstable; urgency=low

  * Apply patch to prevent hang in SPF plugin under IPv6 (Closes:
    #693181)
  * Declare missing dependency on libio-socket-inet6-perl (Closes:
    #693103)
  * Add Slovak translation; thanks to Slavko (Closes: #686156)

 -- Devin Carraway <devin@debian.org>  Sun, 02 Dec 2012 21:34:02 -0800

=== debian/control ===
Source: qpsmtpd
Section: mail
Priority: optional
Build-Depends: debhelper-compat (= 13), perl,
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/qpsmtpd
Vcs-Git: https://salsa.debian.org/debian/qpsmtpd.git
Homepage: http://smtpd.develooper.com/

Package: qpsmtpd
Architecture: all
Depends: adduser (>= 3.0),
         libclamav-client-perl,
         libdigest-hmac-perl,
         libio-socket-inet6-perl,
         libipc-shareable-perl,
         libmail-spf-perl (>= 2.8.0),
         libmailtools-perl,
         libnet-dns-perl,
         libnet-perl,
         libsocket6-perl,
         sysvinit-utils (>= 3.05-4~),
         ${misc:Depends},
         ${perl:Depends},
Suggests: clamav-daemon,
          libnet-ldap-perl,
          spamassassin (>= 3.0.0),
          tinycdb,
Description: Flexible SMTP daemon for network-level spam detection
 This is a replacement SMTP daemon which installs alongside a mail delivery
 and transport system such as Exim, Postfix or Qmail, or used as an SMTP
 proxy for a remote/DMZ MTA.
 .
 The qpsmtpd damon emphasizes spam detection during the SMTP transaction,
 attempting to reach spam/nonspam decisions prior to accepting each message,
 thereby eliminating much bounce/forgery blowback.  It exploits its visbility
 into the network transaction to detect certain behaviors often exhibited by
 spam sending agents.
 .
 Qpsmtpd is written in Perl, with an extensive plugin API making it easy to
 add new features or replace functional components.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,8 @@
 clean:
 	dh_testdir
 	dh_testroot
-	[ ! -f "Makefile" ] || $(MAKE) realclean
+	dh_auto_clean
 	dh_clean
-	rm -f build-stamp
 
 configure:
 	dh_testdir
@@ -19,13 +18,12 @@
 build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
+	dh_prep
 	$(MAKE)
-	touch build-stamp
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/qpsmtpd
 	# Comment out this line to omit the usual deletion of the qpsmtpd
@@ -33,9 +31,8 @@
 	# qpsmtpd-forkserver to avoid a non-free dependency on tcpserver.
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd
 	# Comment out this line to omit the usual deletion of qpsmtpd-async,
-	# which is included in the main qpsmtpd distribution but has not
-	# stabilized enough for mainstream use and introduces compatibility
-	# problems with some plugins.
+	# which is included in the main qpsmtpd distribution as of 0.94 but
+	# is abandoned upstream and has since been removed from upstream git.
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/bin/qpsmtpd-async
 	# /var/spool/qpsmtpd will be chown'ed by postinst
 	install -m 700 -d $(CURDIR)/debian/qpsmtpd/var/spool/qpsmtpd
@@ -53,21 +50,23 @@
 	# install lintian overrides
 	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides
 	install -m 644 debian/qpsmtpd.lintian $(CURDIR)/debian/qpsmtpd/usr/share/lintian/overrides/qpsmtpd
+	# install documentation POD
+	install -m 755 -d $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
+	cp -a $(CURDIR)/docs/* $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
+	cp -a $(CURDIR)/UPGRADING.pod $(CURDIR)/debian/qpsmtpd/usr/share/doc/qpsmtpd
 	# remove pf2qp.pl, used to generate Constants.pm in upstream SVN
 	rm -f $(CURDIR)/debian/qpsmtpd/usr/share/perl5/Qpsmtpd/Postfix/pf2qp.pl
 
 binary-arch: build install
 # nothing arch-dependent
 
-
-
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
+	dh_installdocs $(CURDIR)/debian/README.check_plugins
 	dh_installman \
 		 $(CURDIR)/debian/qpsmtpd-forkserver.8 \
-		 $(CURDIR)/debian/qpsmtpd-prefork.8 
+		 $(CURDIR)/debian/qpsmtpd-prefork.8
 	dh_installdebconf
 	dh_installlogrotate
 	dh_installchangelogs Changes
@@ -87,5 +86,4 @@
 binary: binary-indep binary-arch
 .PHONY: clean build binary-indep binary-arch binary
 
-
 # vi:set noexpandtab:

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xball-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/smtpd/qpsmtpd/tags .*/v?(\d\S*)\.tar\.gz
